#ifndef _KRADIOBT_
#define _KRADIOBT_

#ifndef _IRADIOBT_
   #include <iradiobt.hpp>
#endif

class KRadioButton : public IRadioButton
{
   public:
      KRadioButton(unsigned long id,
                   IWindow *wndParent,
                   IWindow *wndOwner,
                   const IRectangle &initial,
                   const IResourceId &resText,
                   const IRadioButton::Style &style)
        : IRadioButton(id, wndParent, wndOwner, initial, style)
      {
         setText(resText);
      }
};

#endif
